Alsa-Devel Archive on lore.kernel.org
 help / color / mirror / Atom feed
From: David Ward <david.ward@ll.mit.edu>
To: <alsa-devel@alsa-project.org>
Cc: David Ward <david.ward@ll.mit.edu>
Subject: [alsa-devel] [PATCH alsa-utils 05/11] alsa-info.sh: Exit script after writing information to stdout
Date: Sat, 21 Dec 2019 00:32:05 -0500	[thread overview]
Message-ID: <1576906331-5212-6-git-send-email-david.ward@ll.mit.edu> (raw)
In-Reply-To: <1576906331-5212-1-git-send-email-david.ward@ll.mit.edu>

The '--stdout' option is mutually exclusive with uploading the file.

Signed-off-by: David Ward <david.ward@ll.mit.edu>
---
 alsa-info/alsa-info.sh | 17 ++++++-----------
 1 file changed, 6 insertions(+), 11 deletions(-)

diff --git a/alsa-info/alsa-info.sh b/alsa-info/alsa-info.sh
index bf353de..372d7ae 100755
--- a/alsa-info/alsa-info.sh
+++ b/alsa-info/alsa-info.sh
@@ -349,9 +349,7 @@ case "$1" in
 		;;
 	--stdout)
 		DIALOG=""
-		UPLOAD="no"
 		WELCOME="no"
-		TOSTDOUT="yes"
 		;;
 esac
 done
@@ -720,6 +718,7 @@ if [ -n "$1" ]; then
 			fi
 			cat $FILE
 			rm $FILE
+			exit
 			;;
 		--about)
 			echo "Written/Tested by the following users of #alsa on irc.freenode.net:"
@@ -793,10 +792,8 @@ fi
 
 if [ "$UPLOAD" = "no" ]; then
 
-	if [ -z "$TOSTDOUT" ]; then
-		mv -f $FILE $NFILE || exit 1
-		KEEP_OUTPUT="yes"
-	fi
+	mv -f $FILE $NFILE || exit 1
+	KEEP_OUTPUT="yes"
 
 	if [[ -n $DIALOG ]]
 	then
@@ -815,11 +812,9 @@ if [ "$UPLOAD" = "no" ]; then
 			echo "Your ALSA information is in $NFILE"
 			echo ""
 		else
-			if [ -z "$TOSTDOUT" ]; then
-				echo ""
-				echo "Your ALSA information is in $NFILE"
-				echo ""
-			fi
+			echo ""
+			echo "Your ALSA information is in $NFILE"
+			echo ""
 		fi
 	fi
 
-- 
1.8.3.1

_______________________________________________
Alsa-devel mailing list
Alsa-devel@alsa-project.org
https://mailman.alsa-project.org/mailman/listinfo/alsa-devel

  parent reply	other threads:[~2019-12-21  5:36 UTC|newest]

Thread overview: 13+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-12-21  5:32 [alsa-devel] [PATCH alsa-utils 00/11] alsa-info.sh: Improve output and fix file upload issues David Ward
2019-12-21  5:32 ` [alsa-devel] [PATCH alsa-utils 01/11] alsa-info.sh: Consolidate PCI device output David Ward
2019-12-21  5:32 ` [alsa-devel] [PATCH alsa-utils 02/11] alsa-info.sh: Read from /proc/modules and sort the result David Ward
2019-12-21  5:32 ` [alsa-devel] [PATCH alsa-utils 03/11] alsa-info.sh: Simplify iteration over cards when calling amixer David Ward
2019-12-21  5:32 ` [alsa-devel] [PATCH alsa-utils 04/11] alsa-info.sh: Use existing function to print ALSA configuration files David Ward
2019-12-21  5:32 ` David Ward [this message]
2019-12-21  5:32 ` [alsa-devel] [PATCH alsa-utils 06/11] alsa-info.sh: Replace gauge with infobox for upload dialog David Ward
2019-12-21  5:32 ` [alsa-devel] [PATCH alsa-utils 07/11] alsa-info.sh: Remove progress spinner during upload without dialog David Ward
2019-12-21  5:32 ` [alsa-devel] [PATCH alsa-utils 08/11] alsa-info.sh: Condense nested commands for file upload David Ward
2019-12-21  5:32 ` [alsa-devel] [PATCH alsa-utils 09/11] alsa-info.sh: Condense nested commands for formatting upload result David Ward
2019-12-21  5:32 ` [alsa-devel] [PATCH alsa-utils 10/11] alsa-info.sh: Perform test for wget earlier David Ward
2019-12-21  5:32 ` [alsa-devel] [PATCH alsa-utils 11/11] alsa-info.sh: Warn after actual upload failure; do not ping server David Ward
2020-01-07 13:07 ` [alsa-devel] [PATCH alsa-utils 00/11] alsa-info.sh: Improve output and fix file upload issues Takashi Iwai

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1576906331-5212-6-git-send-email-david.ward@ll.mit.edu \
    --to=david.ward@ll.mit.edu \
    --cc=alsa-devel@alsa-project.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox